.container div {
  /* width: 100px;
  inline-size: 100px; */
  height: 100px;
  block-size: 100px;
  text-align: center;
  line-height: 100px;
}

.container {
  border: 10px solid currentColor;
  display: flow-root;
}

div.box1 {
  background-color: red;
  float: left;
  width: 100px;
  inline-size: 100px;
}

div.box2 {
  background-color: blue;
  height: auto;
  block-size: auto;
  line-height: 1;
  text-align: left;
}

div.box3 {
  background-color: green;
  clear: left;
  margin-top: 20px;
  margin-block-start: 20px;
  width: 200px;
  inline-size: 200px;
  float: right;
}

div.box4 {
  background-color: yellow;
  width: 30px;
  inline-size: 30px;
}
